# QIODeviceSource Class Reference

A QIODeviceSource is a QDataSource that draws data from a QIODevice More...

`#include <qasyncio.h>`

Inherits QDataSource.

List of all member functions.

## Public Members

- QIODeviceSource ( QIODevice *, int bufsize=4096 )
- ~QIODeviceSource ()
- virtual int readyToSend ()
- virtual void sendTo ( QDataSink * sink, int n )
- virtual bool rewindable () const
- virtual void enableRewind ( bool on )
- virtual void rewind ()

## Detailed Description

A QIODeviceSource is a QDataSource that draws data from a QIODevice

This class encapsulates retrieving data from a QIODevice (such as a QFile).

## Member Function Documentation

### QIODeviceSource::QIODeviceSource ( QIODevice * device, int buffer_size=4096 )

Constructs a QIODeviceSource from a pointer to an QIODevice. The QIODevice must be dynamically allocated, becomes owned by the QIODeviceSource, and will be deleted when the QIODeviceSource destructs. buffer_size determines the size of buffering to use between asynchronous operations. The higher buffer_size, the more efficient but the less interleaved the operation will be with other processing.

### QIODeviceSource::~QIODeviceSource ()

Destroys the QIODeviceSource, deleting the QIODevice from which it was constructed.

### void QIODeviceSource::enableRewind ( bool on ) `[virtual]`

Enables rewinding. No special action is taken.

Reimplemented from QDataSource.

### int QIODeviceSource::readyToSend () `[virtual]`

Ready until end-of-file.

Reimplemented from QDataSource.

### bool QIODeviceSource::rewindable () const `[virtual]`

All QIODeviceSource's are rewindable.

Reimplemented from QDataSource.

### void QIODeviceSource::sendTo ( QDataSink * sink, int n ) `[virtual]`

Reads and sends a block of data.

Reimplemented from QDataSource.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qasyncio.h: 1998/08/19
- qasyncio.cpp: 1998/08/12